App
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
GET | |
GET | |
GET | |
GET | |
GET | |
GET | |
GET |
Retrieve environments app metrics
Required API key scopes
plugin:readPath parameters
- environment_idstring
- idinteger
Example request
GET /api /environments /:environment_id /app_metrics /:idExample response
Status 200 No response body
Retrieve environments app metrics error details
Path parameters
- environment_idstring
- idinteger
Example request
GET /api /environments /:environment_id /app_metrics /:id /error_detailsExample response
Status 200 No response body
Retrieve environments app metrics historical exports
Required API key scopes
plugin:readPath parameters
- environment_idstring
- plugin_config_idstring
Example request
GET /api /environments /:environment_id /app_metrics /:plugin_config_id /historical_exportsExample response
Status 200 No response body
Retrieve environments app metrics historical exports retrieve
Required API key scopes
plugin:readPath parameters
- environment_idstring
- idstring
- plugin_config_idstring
Example request
GET /api /environments /:environment_id /app_metrics /:plugin_config_id /historical_exports /:idExample response
Status 200 No response body
Retrieve app metrics
Required API key scopes
plugin:readPath parameters
- idinteger
- project_idstring
Example request
GET /api /projects /:project_id /app_metrics /:idExample response
Status 200 No response body
Retrieve app metrics error details
Path parameters
- idinteger
- project_idstring
Example request
GET /api /projects /:project_id /app_metrics /:id /error_detailsExample response
Status 200 No response body
Retrieve app metrics historical exports
Required API key scopes
plugin:readPath parameters
- plugin_config_idstring
- project_idstring
Example request
GET /api /projects /:project_id /app_metrics /:plugin_config_id /historical_exportsExample response
Status 200 No response body
Retrieve app metrics historical exports retrieve
Required API key scopes
plugin:readPath parameters
- idstring
- plugin_config_idstring
- project_idstring
Example request
GET /api /projects /:project_id /app_metrics /:plugin_config_id /historical_exports /:id